package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysUserBankCard;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysUserBankCardDao extends BaseDAO<Long, SysUserBankCard> {

    void setDefault(@Param("userId") Integer userId, @Param("bankCardId") Long bankCardId);

    void setNotDefault(@Param("userId") Integer userId);

    /**
     * 获取用户银行卡列表
     * @param userId
     * @return
     */
    List<SysUserBankCard> findByUser(@Param("userId") Integer userId);

    /**
     * 删除银行卡
     * @param id
     * @param userId
     */
    void del(@Param("id") Long id, @Param("userId")Integer userId);
}